# ObjectToDirectoryBinder Class Reference

Inheritance diagram for ObjectToDirectoryBinder:
[legend]

List of all members.

## Public Member Functions

| make ($object, $recursive=true)
| Also try using plain limitedPropertiesList instead of limited hierarchy recursing.
| makeReverseBuilder ()

## Static Public Member Functions

static | create (EntityProto $proto)

## Protected Member Functions

| getGetter ($object)
| getSetter (&$object)

## Detailed Description

Definition at line 12 of file ObjectToDirectoryBinder.class.php.

## Member Function Documentation

static ObjectToDirectoryBinder::create | ( | EntityProto $ | proto | ) | `[static]`

Returns:
  ObjectToFormConverter

Definition at line 17 of file ObjectToDirectoryBinder.class.php.

Referenced by makeReverseBuilder().

ObjectToDirectoryBinder::getGetter | ( | $ | object | ) | `[protected]`

Returns:
  ObjectGetter

Reimplemented from PrototypedBuilder.

Definition at line 115 of file ObjectToDirectoryBinder.class.php.

ObjectToDirectoryBinder::getSetter | ( | &$ | object | ) | `[protected]`

Returns:
  FormSetter

Reimplemented from PrototypedBuilder.

Definition at line 123 of file ObjectToDirectoryBinder.class.php.

ObjectToDirectoryBinder::make | ( | $ | object,
|  | $ | recursive = `true` |
| ) |  |  |

Also try using plain limitedPropertiesList instead of limited hierarchy recursing.

Reimplemented from PrototypedBuilder.

Definition at line 22 of file ObjectToDirectoryBinder.class.php.

References DirectoryBuilder::checkDirectory(), and DirectoryBuilder::safeClean().

Here is the call graph for this function:

ObjectToDirectoryBinder::makeReverseBuilder | ( |  | ) |

Returns:
  PrototypedBuilder

Reimplemented from PrototypedBuilder.

Definition at line 105 of file ObjectToDirectoryBinder.class.php.

References create(), and DirectoryBuilder::setIdentityMap().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/EntityProto/Builders/ObjectToDirectoryBinder.class.php